package com.sqx.modules.activityManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sqx.common.utils.Result;
import com.sqx.modules.activityManage.entity.ActivityManage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.goods.entity.GoodsShop;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2022-11-04
 */
public interface ActivityManageService extends IService<ActivityManage> {

    Result addActivity(ActivityManage activityManage);

    Result updateActivity(ActivityManage activityManage);

    Result deleteActivity(Long activityId);

    IPage<ActivityManage> getActivityList(Integer page, Integer limit, ActivityManage activityManage);


    ActivityManage getActivityInfo(Long activityId);

    IPage<GoodsShop> getShoActivityShopList(Integer page, Integer limit, Double lng, Double lat, GoodsShop goodsShop);

    IPage<GoodsShop> getAdminShoActivityShopList(Integer page, Integer limit, GoodsShop goodsShop);

    Result cancelActivityShop(Long activityId, Long shopId);

    /**
     *
     * @param shopId
     * @param activityId
     * @param auth 1表示是管理员给活动中添加商铺
     * @return
     */
    Result shopJoinActivity(Long shopId, Long activityId, Integer auth);

    Result addShopActivity(Long activityId, Long shopId);
}
